package org.apache.beehive.test.tools.tchTools.xsl.util;

import java.util.HashMap;
import java.util.Map;

public class ReportUtils
{

    public ReportUtils()
    {
    }

    public static String getDiffOther()
    {
        return "0";
    }

    public static String getDiffDateTime()
    {
        return "1";
    }

    public static String getDiffTestUnit()
    {
        return "2";
    }

    public static String getDiffLogicalName()
    {
        return "3";
    }

    public static void setIsTimeDifferent(String s)
    {
        if(s.equals("true"))
            isTimeDifferent = true;
        else
            isTimeDifferent = false;
    }

    public static boolean isTimeDifferent()
    {
        return isTimeDifferent;
    }

    public static boolean areEqual(String s, String s1, String s2)
    {
        boolean flag = false;
        int i = Integer.parseInt(s2);
        switch(i)
        {
        case 1: // '\001'
            if(isTimeDifferent())
                flag = false;
            else
                flag = true;
            break;

        case 2: // '\002'
            flag = true;
            break;

        case 3: // '\003'
            flag = true;
            break;

        case 0: // '\0'
            if(s != null)
                s.toLowerCase();
            if(s1 != null)
                s1.toLowerCase();
            if(s == null && s1 == null)
            {
                flag = true;
                break;
            }
            if(s == null && s1 != null)
            {
                flag = false;
                break;
            }
            if(s != null && s1 == null)
            {
                flag = false;
                break;
            }
            if(s.equals(s1))
                flag = true;
            break;

        default:
            String s3 = "Diff type [" + s2 + "] not supported.";
            throw new IllegalArgumentException(s3);
        }
        return flag;
    }

    public static String putHtmlSpaceAndNewLine(String s)
    {
        String s1 = new String(s);
        String s2 = s1.replaceAll("\n", "<br/>");
        String s3 = s2.replaceAll(" ", "&nbsp;");
        return s3;
    }

    public static void putFirstResultPosition(String s, String s1)
    {
        firstResultPositions.put(s, s1);
    }

    public static void putFirstResultPosition(String s, int i)
    {
        putFirstResultPosition(s, String.valueOf(i));
    }

    public static String getFirstResultPosition(String s)
    {
        String s1 = " ";
        if(firstResultPositions.containsKey(s))
            s1 = (String)firstResultPositions.get(s);
        return s1;
    }

    public static void putSecondResultPosition(String s, String s1)
    {
        secondResultPositions.put(s, s1);
    }

    public static void putSecondResultPosition(String s, int i)
    {
        putSecondResultPosition(s, String.valueOf(i));
    }

    public static String getSecondResultPosition(String s)
    {
        String s1 = " ";
        if(secondResultPositions.containsKey(s))
            s1 = (String)secondResultPositions.get(s);
        return s1;
    }

    public static final String DIFF_OTHER = "0";
    public static final String DIFF_DATE_TIME = "1";
    public static final String DIFF_TEST_UNIT = "2";
    public static final String DIFF_LOGICAL_NAME = "3";
    public static final Map firstResultPositions = new HashMap();
    public static final Map secondResultPositions = new HashMap();
    protected static final int INT_DIFF_OTHER = 0;
    protected static final int INT_DIFF_DATE_TIME = 1;
    protected static final int INT_DIFF_TEST_UNIT = 2;
    protected static final int INT_DIFF_LOGICAL_NAME = 3;
    protected static boolean isTimeDifferent = false;

}